Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1122215

Summary: Review Request: nodejs-co - Generator async flow control goodness
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-23 19:04:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1122229    

Description Ralph Bean 2014-07-22 19:04:07 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-co.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-co-3.0.6-1.fc20.src.rpm

Description:
Generator based flow-control goodness for nodejs and the browser, using
thunks _or_ promises, letting you write non-blocking code in a nice-ish
way.

Comment 1 Parag AN(पराग) 2014-07-23 09:00:16 UTC
Review:

+ mock build is successful for f22

+ rpmlint output on rpms gave
nodejs-co.noarch: W: spelling-error Summary(en_US) async -> sync, a sync
nodejs-co.noarch: W: spelling-error %description -l en_US ish -> is, sh, dish
nodejs-co.noarch: W: only-non-binary-in-usr-lib
nodejs-co.noarch: W: no-documentation
nodejs-co.src: W: spelling-error Summary(en_US) async -> sync, a sync
nodejs-co.src: W: spelling-error %description -l en_US ish -> is, sh, dish
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :4b5c926b93531cd729bc5ad5fe9dc2d11b47dd7faea9bb7d7bfef34432796b93
upstream tarball :4b5c926b93531cd729bc5ad5fe9dc2d11b47dd7faea9bb7d7bfef34432796b93

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

Suggestions:
1) Please package Readme.md as %doc

APPROVED.

Comment 2 Ralph Bean 2014-07-23 14:05:26 UTC
New Package SCM Request
=======================
Package Name: nodejs-co
Short Description: Generator async flow control goodness
Upstream URL: https://npmjs.org/package/co
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:37:00 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 19:01:52 UTC
nodejs-co-3.0.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-co-3.0.6-1.fc20

Comment 5 Fedora Update System 2014-07-23 19:02:03 UTC
nodejs-co-3.0.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-co-3.0.6-1.fc19

Comment 6 Ralph Bean 2014-07-23 19:04:26 UTC
Buildroot overrides have been created.

Comment 7 Fedora Update System 2014-08-15 02:36:18 UTC
nodejs-co-3.0.6-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:45:50 UTC
nodejs-co-3.0.6-1.fc19 has been pushed to the Fedora 19 stable repository.